Redmine - Feature #6647

mass update of multiple time entries
2010-10-12 17:09 - Albert Rosenfield

Status: Closed Start date: 2010-10-12
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version:

Resolution: Duplicate

Description

Hi

This is a minor issue..
I've added a Report-Id custom field to time entries.

Reports are created based on time entries, and when a report is done, all the time entries in that report are tagged with the ID of the
report.

I'd like to be able to take a bunch of time entries from the list (either at http://redmine/projects/PROJECT/time_entries or
http://redmine/projects/PROJECT/time_entries/report), tick entries off with a checkbox next to each item, click 'Edit...", and be shown
the 'edit time entry' page.

Fields which have different values in the selected time entries should be grayed out and without text, but fields with the exact same
value (a blank Report-Id fx.) would be editable.

Clicking 'Save' from http://redmine/time_entries/MULTIPLE_IDS/edit would then cause the new values (in non-grayed fields) to be
saved to all the selected time entries. (Eg. in each id in MULTIPLE_IDS in above url).

Related issues:

Is duplicate of Redmine - Feature #7996: Bulk edit and context menu for time ... Closed

History

#1 - 2010-10-12 22:17 - Terence Mill

checkout mod of stufftodo plugin

#2 - 2010-10-13 11:37 - Albert Rosenfield

checkout mod of stufftodo plugin

Neat!

Doesn't really solve the problem though - | need to mass edit time entries, not mass create them.

#3 - 2011-09-17 13:00 - Etienne Massip

- Category set to Time tracking

#4 - 2011-11-27 23:21 - Mischa The Evil

Isn't this implemented as part of #7996 (feature introduced in Redmine 1.2.0)?
#5 - 2013-04-03 16:13 - Filou Centrinov
Duplicate: #7810

Please, close this issue. Is think it's solved by #7996. No feedback over one year.

#6 - 2013-04-06 09:52 - Toshi MARUYAMA

- Status changed from New to Closed
http://redmine/projects/PROJECT/time_entries
http://redmine/projects/PROJECT/time_entries/report
http://redmine/time_entries/MULTIPLE_IDS/edit
http://blog.goyello.com/2009/09/11/we-all-have-to-register-time-but-why-bother/
https://www.redmine.org/issues/7996
https://www.redmine.org/versions/27
https://www.redmine.org/issues/7810
https://www.redmine.org/issues/7996

- Resolution set to Duplicate
